org.apache.olingo.odata2.jpa.processor.api.jpql

## Enum JPQLContextType

- java.lang.Object
- - java.lang.Enum<JPQLContextType>
  - - org.apache.olingo.odata2.jpa.processor.api.jpql.JPQLContextType

- All Implemented Interfaces:
    Serializable, Comparable<JPQLContextType>

      public enum JPQLContextType
      extends Enum<JPQLContextType>

  Enumerated list of JPQL context Types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` indicates that the JPQL context can be used for building JPQL delete statements
    `FUNCTION` indicates that the JPQL context can be used for building JPA Method context that can be used for invoking custom functions
    `JOIN` indicates that the JPQL context can be used for building JPQL join statement
    `JOIN_COUNT` indicates that the JPQL context can be used for building JPQL join statement that fetches single record
    `JOIN_SINGLE` indicates that the JPQL context can be used for building JPQL join statement that fetches single record
    `MODIFY` indicates that the JPQL context can be used for building JPQL modify statements
    `SELECT` indicates that the JPQL context can be used for building JPQL select statements
    `SELECT_COUNT` indicates that the JPQL context can be used for building JPQL select statement that fetches record counts
    `SELECT_SINGLE` indicates that the JPQL context can be used for building JPQL select statement that fetches single record

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPQLContextType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JPQLContextType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECT

          public static final JPQLContextType SELECT

      indicates that the JPQL context can be used for building JPQL select statements

    - #### MODIFY

          public static final JPQLContextType MODIFY

      indicates that the JPQL context can be used for building JPQL modify statements

    - #### DELETE

          public static final JPQLContextType DELETE

      indicates that the JPQL context can be used for building JPQL delete statements

    - #### SELECT_SINGLE

          public static final JPQLContextType SELECT_SINGLE

      indicates that the JPQL context can be used for building JPQL select statement that fetches single record

    - #### JOIN

          public static final JPQLContextType JOIN

      indicates that the JPQL context can be used for building JPQL join statement

    - #### JOIN_SINGLE

          public static final JPQLContextType JOIN_SINGLE

      indicates that the JPQL context can be used for building JPQL join statement that fetches single record

    - #### SELECT_COUNT

          public static final JPQLContextType SELECT_COUNT

      indicates that the JPQL context can be used for building JPQL select statement that fetches record counts

    - #### JOIN_COUNT

          public static final JPQLContextType JOIN_COUNT

      indicates that the JPQL context can be used for building JPQL join statement that fetches single record

    - #### FUNCTION

          public static final JPQLContextType FUNCTION

      indicates that the JPQL context can be used for building JPA Method context that can be used for invoking custom functions

  - ### Method Detail

    - #### values

          public static JPQLContextType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPQLContextType c : JPQLContextType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPQLContextType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.